package com.mvc.entity;

import java.util.Date;

public class CustomizeGroup {
    private Integer uid;

    private String groupId;

    private String groupName;

    private String publicFlag;

    private String createUserId;

    private String createUserName;

    private Date createTime;

    private String startTimeFlag;

    private Date startTime;

    private String endTimeFlag;

    private Date endTime;

    private String stationCodes;

    private String userType;

    private String unitCode;

    private String codeType;

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId == null ? null : groupId.trim();
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName == null ? null : groupName.trim();
    }

    public String getPublicFlag() {
        return publicFlag;
    }

    public void setPublicFlag(String publicFlag) {
        this.publicFlag = publicFlag == null ? null : publicFlag.trim();
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId == null ? null : createUserId.trim();
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName == null ? null : createUserName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStartTimeFlag() {
        return startTimeFlag;
    }

    public void setStartTimeFlag(String startTimeFlag) {
        this.startTimeFlag = startTimeFlag == null ? null : startTimeFlag.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public String getEndTimeFlag() {
        return endTimeFlag;
    }

    public void setEndTimeFlag(String endTimeFlag) {
        this.endTimeFlag = endTimeFlag == null ? null : endTimeFlag.trim();
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getStationCodes() {
        return stationCodes;
    }

    public void setStationCodes(String stationCodes) {
        this.stationCodes = stationCodes == null ? null : stationCodes.trim();
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType == null ? null : userType.trim();
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public String getCodeType() {
        return codeType;
    }

    public void setCodeType(String codeType) {
        this.codeType = codeType == null ? null : codeType.trim();
    }
}